        LIST
; P16F628.INC  Modified project specific Header File
        NOLIST
        IFNDEF __16F628
           MESSG "Processor-header file mismatch.  Verify selected processor."
        ENDIF
;--------------------------------------------------------------------------
W                            EQU     H'0000'
F                            EQU     H'0001'
;----- Register Files------------------------------------------------------
INDF                         EQU     H'0000'
TMR0                         EQU     H'0001'
PCL                          EQU     H'0002'
STATUS                       EQU     H'0003'
FSR                          EQU     H'0004'
PORTA                        EQU     H'0005'
PORTB                        EQU     H'0006'
PCLATH                       EQU     H'000A'
INTCON                       EQU     H'000B'
PIR1                         EQU     H'000C'
TMR1L                        EQU     H'000E'
TMR1H                        EQU     H'000F'
T1CON                        EQU     H'0010'
TMR2                         EQU     H'0011'
T2CON                        EQU     H'0012'
CCPR1L                       EQU     H'0015'
CCPR1H                       EQU     H'0016'
CCP1CON                      EQU     H'0017'
RCSTA                        EQU     H'0018'
TXREG                        EQU     H'0019'
RCREG                        EQU     H'001A'
CMCON                        EQU     H'001F'
OPTION_REG                   EQU     H'0081'
TRISA                        EQU     H'0085'
TRISB                        EQU     H'0086'
PIE1                         EQU     H'008C'
PCON                         EQU     H'008E'
PR2                          EQU     H'0092'
TXSTA                        EQU     H'0098'
SPBRG                        EQU     H'0099'
EEDATA                       EQU     H'009A'
EEADR                        EQU     H'009B'
EECON1                       EQU     H'009C'
EECON2                       EQU     H'009D'
VRCON                        EQU     H'009F'
;----- STATUS Bits --------------------------------------------------------
#define		IRP	STATUS,7
#define		RP1	STATUS,6
#define		RP0	STATUS,5
#define		TO	STATUS,4
#define		PD	STATUS,3
#define		Z	STATUS,2
#define		DC	STATUS,1
#define		C	STATUS,0
;----- INTCON Bits --------------------------------------------------------
#define		GIE	INTCON,7
#define		PEIE	INTCON,6
#define		T0IE	INTCON,5
#define		INTE	INTCON,4
#define		RBIE	INTCON,3
#define		T0IF	INTCON,2
#define		INTF	INTCON,1
#define		RBIF	INTCON,0
;----- PIR1 Bits ----------------------------------------------------------
#define		EEIF	PIR1,7
#define		CMIF	PIR1,6
#define		RCIF	PIR1,5
#define		TXIF	PIR1,4
#define		CCP1IF	PIR1,2
#define		TMR2IF	PIR1,1
#define		TMR1IF	PIR1,0
;----- T1CON Bits ---------------------------------------------------------
#define		T1CKPS1	T1CON,5
#define		T1CKPS0	T1CON,4
#define		T1OSCEN	T1CON,3
#define		T1SYNC	T1CON,2
#define		TMR1CS	T1CON,1
#define		TMR1ON	T1CON,0
;----- T2CON Bits ---------------------------------------------------------
#define		TOUTPS3	T2CON,6
#define		TOUTPS2	T2CON,5
#define		TOUTPS1	T2CON,4
#define		TOUTPS0	T2CON,3
#define		TMR2ON	T2CON,2
#define		T2CKPS1	T2CON,1
#define		T2CKPS0	T2CON,0
;----- CCP1CON Bits -------------------------------------------------------
#define		CCP1X	CCP1CON,5
#define		CCP1Y	CCP1CON,4
#define		CCP1M3	CCP1CON,3
#define		CCP1M2	CCP1CON,2
#define		CCP1M1	CCP1CON,1
#define		CCP1M0	CCP1CON,0
;----- RCSTA Bits ---------------------------------------------------------
#define		SPEN	RCSTA,7
#define		RX9	RCSTA,6
#define		SREN	RCSTA,5
#define		CREN	RCSTA,4
#define		ADEN	RCSTA,3
#define		FERR	RCSTA,2
#define		OERR	RCSTA,1
#define		RX9D	RCSTA,0
;----- CMCON Bits ---------------------------------------------------------
#define		C2OUT	CMCON,7
#define		C1OUT	CMCON,6
#define		C2INV	CMCON,5
#define		C1INV	CMCON,4
#define		CIS	CMCON,3
#define		CM2	CMCON,2
#define		CM1	CMCON,1
#define		CM0	CMCON,0
;----- OPTION Bits --------------------------------------------------------
#define		RBPU	OPTION_REG,7
#define		INTEDG	OPTION_REG,6
#define		T0CS	OPTION_REG,5
#define		T0SE	OPTION_REG,4
#define		PSA	OPTION_REG,3
#define		PS2	OPTION_REG,2
#define		PS1	OPTION_REG,1
#define		PS0	OPTION_REG,0
;----- PIE1 Bits ----------------------------------------------------------
#define		EEIE	PIE1,7
#define		CMIE	PIE1,6
#define		RCIE	PIE1,5
#define		TXIE	PIE1,4
#define		CCP1IE	PIE1,2
#define		TMR2IE	PIE1,1
#define		TMR1IE	PIE1,0
;----- PCON Bits ----------------------------------------------------------
#define		OSCF	PCON,3
#define		POR	PCON,1
#define		BOR	PCON,0
;----- TXSTA Bits ----------------------------------------------------------
#define		CSRC	TXSTA,7
#define		TX9	TXSTA,6
#define		TXEN	TXSTA,5
#define		SYNC	TXSTA,4
#define		BRGH	TXSTA,2
#define		TRMT	TXSTA,1
#define		TX9D	TXSTA,0
;----- EECON1 Bits ---------------------------------------------------------
#define		WRERR	EECON1,3
#define		WREN	EECON1,2
#define		WR	EECON1,1
#define		RD	EECON1,0
;----- VRCON Bits ---------------------------------------------------------
#define		VREN	VRCON,7
#define		VROE	VRCON,6
#define		VRR	VRCON,5
#define		VR3	VRCON,3
#define		VR2	VRCON,2
#define		VR1	VRCON,1
#define		VR0	VRCON,0
;==========================================================================
;
;       RAM Definition
;
;==========================================================================

    __MAXRAM H'01FF'
    __BADRAM H'07'-H'09', H'0D', H'13'-H'14', H'1B'-H'1E' 
	__BADRAM H'87'-H'89', H'8D', H'8F'-H'91', H'93'-H'97', H'9E'
	__BADRAM H'105', H'107'-H'109', H'10C'-H'11F', H'150'-H'16F' 
	__BADRAM H'185', H'187'-H'189', H'18C'-H'1EF'

;-------- Configuration Bits ------------------------------------------
_BODEN_ON                    EQU     H'3FFF'
_BODEN_OFF                   EQU     H'3FBF'
_CP_ALL                      EQU     H'03FF'
_CP_75                       EQU     H'17FF'
_CP_50                       EQU     H'2BFF'
_CP_OFF                      EQU     H'3FFF'
_PWRTE_OFF                   EQU     H'3FFF'
_PWRTE_ON                    EQU     H'3FF7'
_WDT_ON                      EQU     H'3FFF'
_WDT_OFF                     EQU     H'3FFB'
_LVP_ON                      EQU     H'3FFF'
_LVP_OFF                     EQU     H'3F7F'
_MCLRE_ON                    EQU     H'3FFF'
_MCLRE_OFF                   EQU     H'3FDF'
_ER_OSC_CLKOUT               EQU     H'3FFF'
_ER_OSC_NOCLKOUT             EQU     H'3FFE'
_INTRC_OSC_CLKOUT            EQU     H'3FFD'
_INTRC_OSC_NOCLKOUT          EQU     H'3FFC'
_EXTCLK_OSC                  EQU     H'3FEF'
_LP_OSC                      EQU     H'3FEC'
_XT_OSC                      EQU     H'3FED'
_HS_OSC                      EQU     H'3FEE'

        LIST
