;------------------------------------------------------------------
; RAM REGISTERS
; - Available RAM:	direct	indrct
;			20-7F	20-7F	bank 0 - 96 bytes
;			common ram 70-7F/F0-FF
;			20-7F	A0-FF	bank 1 - 96 bytes
;			20-4F	20-4F	bank 2 - 48 bytes
; - Available EEPROM		00-7F	128 bytes
;------------------------------------------------------------------
	cblock	H'0020'

a_temp		;temp for main
b_temp		;temp for main
c_temp		;temp for main
d_temp		;temp for main
x_temp		;temp for irq
y_temp		;temp for irq

fr		;flag register
frame		;frame counter (0-119)
p_frame		;copy of frame
light		;LED light intensity level (240-255)
timeptr		;time buffer pointer
dateptr		;date buffer pointer
pre		;1 Hz prescaler (25Hz/25)
date_start	;start of date buffer
date_start_fr	;start frame of date buffer
timer_l		;TMR1 reload value
timer_h		;TMR1 reload value
digit10		;ASCII conversion
digit1		;ASCII conversion
daystm		;days this month (28-31)

month		;month (0-11)		0-1:0-9
date		;date (0-30)		0-3:0-9
day		;week day (0-6)		XXX:0-7
hours		;hours (00-23)		0-2:0-9
minutes		;minutes (00-59)	0-5:0-9
seconds		;seconds (00-59)	0-5:0-9
	endc
	cblock	H'007C'
s_temp		;STATUS temp
w_temp		;W temp
p_temp		;PCLATH temp
f_temp		;FSR temp
	endc
	cblock	H'00A0'
tbuf:42		;12:34:56
dbuf:48		;MA 22 JAN
	endc
rlpre		equ	25		;time prescaler value
t1stl		equ	255		;TMR1 start value lo
t1sth		equ	253		;TMR1 start value hi
top_frame	equ	17		;top frame position
left_frame	equ	top_frame+90
bottom_frame	equ	top_frame+60

#define	TIME	fr,0	;time roll bit
#define	DATE	fr,1	;date roll bit
#define	RUNTIME	fr,2	;run time buffer
#define	RUNDATE	fr,3	;run date buffer
#define	BLANK	fr,4	;zero blanking of 10s digit
#define	SPACE	fr,5	;spacing of 10s digit
#define	STOP	fr,6	;rotor stopped
#define	FRAME_0	fr,7	;rotor passed frame 0
